Import("env")

import fnmatch
import os
import json

def verify_json(source, target, env):
    for root, dirnames, files in os.walk("data"):
        for file in files:
            if file.endswith(".json"):
                print("Validating " + root + '/' + file + '...')
                json.load(open(root + '/' + file, 'r'))

env.AddPreAction("buildfs", verify_json)
